CmdMessenger 3.0 CmdMessenger is a messaging library for the Arduino Platform. It has uses the serial port as its transport layer

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

- All
- Functions

- a
- c
- f
- i
- n
- p
- r
- s
- u

Here is a list of all documented class members with links to the class documentation for each member:

### - a -

- attach() : CmdMessenger
- available() : CmdMessenger

### - c -

- CmdMessenger() : CmdMessenger
- CommandID() : CmdMessenger
- compareStringArg() : CmdMessenger
- copyStringArg() : CmdMessenger

### - f -

- feedinSerialData() : CmdMessenger

### - i -

- isArgOk() : CmdMessenger

### - n -

- next() : CmdMessenger

### - p -

- printLfCr() : CmdMessenger
- printSci() : CmdMessenger

### - r -

- readBinArg() : CmdMessenger
- readBoolArg() : CmdMessenger
- readCharArg() : CmdMessenger
- readDoubleArg() : CmdMessenger
- readFloatArg() : CmdMessenger
- readInt16Arg() : CmdMessenger
- readInt32Arg() : CmdMessenger
- readStringArg() : CmdMessenger

### - s -

- sendBinCmd() : CmdMessenger
- sendCmd() : CmdMessenger
- sendCmdArg() : CmdMessenger
- sendCmdBinArg() : CmdMessenger
- sendCmdEnd() : CmdMessenger
- sendCmdEscArg() : CmdMessenger
- sendCmdfArg() : CmdMessenger
- sendCmdSciArg() : CmdMessenger
- sendCmdStart() : CmdMessenger

### - u -

- unescape() : CmdMessenger